Subject: DDC announcement

From: "Dr. R. Stephens" <[email-masked]>
Date: Wed, 26 Jan 2005 17:51:09 -0800

still time to participate.  If conditions do not permit a more elaborate 
celebration this year, those of you who are teaching in February could 
dedicate one of your lectures to the concept of Darwin Day.  DarwinDay